commit:     3acc063052a8d1d504007a682c8f93fa02fd153c
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 22 07:20:17 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Sep 22 07:20:17 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3acc0630

dev-python/ipywidgets: Version Bump

Package-Manager: portage-2.2.21
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/ipywidgets/ipywidgets-4.0.3.ebuild | 39 +++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-python/ipywidgets/ipywidgets-4.0.3.ebuild 
b/dev-python/ipywidgets/ipywidgets-4.0.3.ebuild
new file mode 100644
index 0000000..1c796dc
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-4.0.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="http://ipython.org/";
+
+if [ ${PV} == "9999" ] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ipython/${PN}.git 
git://github.com/ipython/${PN}.git"
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7)
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )
+       "
+
+python_test() {
+       nosetests --with-coverage --cover-package=ipywidgets ipywidgets || die
+}

Reply via email to